package com.brandwatch.microservice.server;

import com.brandwatch.microservice.interfaces.EchoRepository;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import com.brandwatch.microservice.server.helpers.ServiceExporter;
import org.springframework.beans.factory.annotation.Autowired;

@Configuration
@ComponentScan
@EnableAutoConfiguration
@Import(ServiceExporter.class)
public class MicroserviceExampleServerApplication {

    @Autowired
    public EchoRepository echoRepository;

//    @Bean(name = "/echoService")
//    public HttpInvokerServiceExporter echoService() {
//        HttpInvokerServiceExporter serviceExporter = new HttpInvokerServiceExporter();
//        serviceExporter.setServiceInterface(EchoRepository.class);
//        serviceExporter.setService(echoRepository);
//        return serviceExporter;
//    }

    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(MicroserviceExampleServerApplication.class);
        springApplication.run(args);
    }
}
