package com.brandwatch.microservice.server.helpers;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.embedded.ConfigurableEmbeddedServletContainer;
import org.springframework.boot.context.embedded.EmbeddedServletContainerCustomizer;
import org.springframework.stereotype.Component;

@Component
public class WebContainerCustomizer implements EmbeddedServletContainerCustomizer {
    
    @Value("${example.%i.port:9000}")
    private Integer portNumber;

    @Override
    public void customize(ConfigurableEmbeddedServletContainer container) {
        container.setPort(portNumber);
    }

}
