package com.brandwatch.microservice.server.repository;

import java.util.Date;

import com.brandwatch.microservice.server.annotations.RemoteService;
import com.brandwatch.microservice.interfaces.EchoRepository;
import java.util.logging.Level;
import java.util.logging.Logger;

@RemoteService(EchoRepository.class)
public class EchoRepositoryImpl implements EchoRepository {

    @Override
    public String echo(String string) {
        try {
            Thread.sleep(50000);
        } catch (InterruptedException ex) {
            Logger.getLogger(EchoRepositoryImpl.class.getName()).log(Level.SEVERE, null, ex);
        }
        return string + "... " + string + "... " + string + "... The time is: " + (new Date()).toString();
    }
    
}
