package com.brandwatch.microservice.client.controller;

import com.brandwatch.microservice.client.services.SafeEchoService;
import com.brandwatch.microservice.interfaces.EchoRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class EchoController {
    
    @Autowired
    private SafeEchoService echoRepository;
    
    @RequestMapping("/echo")
    public String echo(@RequestParam(required = true) String string) {
        String echo;
            echo = echoRepository.echo(string);
        return echo;
    }

}















//        } catch (HystrixRuntimeException ex) {
//            echo = "sorry can't echo " + string + " right now.";
//        }